SoAnnoText3FontSizeHintElement(3)

NAME
SoAnnoText3FontSizeHintElement - The SoAnnoText3FontSizeHintElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoAnnoText3FontSizeHintElement.h>

Inherits SoInt32Element.

  Public Types
enum FontSizeHint { ANNOTATION, FIT_TEXT_VECTOR }

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, const FontSizeHint hint)
FIXME: write doc.
static FontSizeHint get (SoState *const state)
FIXME: write doc.
static FontSizeHint getDefault (void)
FIXME: write doc.
static void set (SoState *const state, SoNode *const node, const FontSizeHint hint)
FIXME: write doc.

  Protected Member Functions
virtual ~SoAnnoText3FontSizeHintElement ()

  Additional Inherited Members

Detailed Description

The SoAnnoText3FontSizeHintElement class is yet to be documented. FIXME: write doc.

Member Enumeration Documentation

  enum SoAnnoText3FontSizeHintElement::FontSizeHint
FIXME: write doc.

Constructor & Destructor Documentation

  SoAnnoText3FontSizeHintElement::~SoAnnoText3FontSizeHintElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoAnnoText3FontSizeHintElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoAnnoText3FontSizeHintElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoAnnoText3FontSizeHintElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoAnnoText3FontSizeHintElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoAnnoText3FontSizeHintElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoInt32Element.

Author

Generated automatically by Doxygen for Coin from the source code.